import { type Base, genBase } from "./_base"

export interface McuOrderSubItem extends Base {
  mcuSubSrc_id: number
  mcuOrderItem_id: number
  result?: string
  status_code?: string
}

export function genMcuOrderSubItem(): McuOrderSubItem {
  return {
    ...genBase(),
    mcuSubSrc_id: 0,
    mcuOrderItem_id: 0,
  }
}
